//
//$Id: LoggingEventWrapper.java 9 2005-05-25 20:06:23Z olef $
//

package performancemonster.loghandler;

import java.io.Serializable;

import org.apache.log4j.spi.LoggingEvent;

/**
 * Wraps a LoggingEvent, decorating with a stack trace.
 */
public class LoggingEventWrapper implements Serializable {
    private long timestamp;
    private LoggingEvent event;
    private StackTrace stackTrace;
    
    public LoggingEventWrapper(LoggingEvent event) {
        this.event = event;
        this.timestamp = System.currentTimeMillis();
        this.stackTrace = new StackTrace();
    }
    
    public LoggingEvent getEvent() {
        return event;
    }
    
    public Throwable getThrowable() {
        return stackTrace;
    }
    
    public String toString() {
        return "LoggingEventWrapper[" + timestamp + "," + event.getMessage() + "]";
    }
    
    private static class StackTrace extends Throwable implements Serializable {
        public StackTrace() {
            super();
        }
    }
}
