//
//$Id: LogGenerator.java 9 2005-05-25 20:06:23Z olef $
//

package performancemonster.test;

import java.awt.event.ActionEvent;

import javax.swing.*;
import javax.swing.SwingUtilities;

import org.apache.log4j.Logger;

public class LogGenerator {
    /** used to log messages **/
    private static final Logger LOG = Logger.getLogger(LogGenerator.class);

    private JToggleButton type1, type2, type3, type4;
    
    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                LogGenerator generator = new LogGenerator();
                generator.createAndShowGUI();
            }
        });
    }

    private void createAndShowGUI() {
        try {
            UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        } catch (InstantiationException e) {
            e.printStackTrace();
        } catch (IllegalAccessException e) {
            e.printStackTrace();
        } catch (UnsupportedLookAndFeelException e) {
            e.printStackTrace();
        }

        //Create and set up the window.
        JFrame frame = new JFrame("LogGenerator");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        Action type1Action = new AbstractAction("Type1") {
            public void actionPerformed(ActionEvent evt) {
                if (type1.isSelected()) {
                    LOG.error("BEGIN Type1.error(Hej2 h, Davs d)");
                } else {
                    LOG.error("END Type1.error");
                }
            }
        };
        Action type2Action = new AbstractAction("Type2") {
            public void actionPerformed(ActionEvent evt) {
                if (type2.isSelected()) {
                    LOG.error("BEGIN Type2.warning(Hejsa 400, Davs d)");
                } else {
                    LOG.error("END Type2.warning");
                }
            }
        };
        Action type3Action = new AbstractAction("Type3") {
            public void actionPerformed(ActionEvent evt) {
                if (type3.isSelected()) {
                    LOG.error("BEGIN Type34.error(Hej2 h, Davs d)");
                } else {
                    LOG.error("END Type34.error");
                }
            }
        };
        
        type1 = new JToggleButton(type1Action);
        type2 = new JToggleButton(type2Action);
        type3 = new JToggleButton(type3Action);
        
        JPanel controls = new JPanel();
        controls.setLayout(new BoxLayout(controls, BoxLayout.PAGE_AXIS));
        controls.add(type1);
        controls.add(type2);
        controls.add(type3);

        frame.add(controls);
        
        //Display the window.
        frame.pack();
        frame.setVisible(true);
    }
}
